osgDB::DatabasePager::RequestQueue Struct Reference

`#include <DatabasePager>`

Inheritance diagram for osgDB::DatabasePager::RequestQueue:

## Public Types

typedef std::list< osg::ref_ptr< DatabaseRequest > > | RequestList

## Public Member Functions

| RequestQueue (DatabasePager *pager)
void | add (DatabaseRequest *databaseRequest)
void | remove (DatabaseRequest *databaseRequest)
void | addNoLock (DatabaseRequest *databaseRequest)
void | takeFirst (osg::ref_ptr< DatabaseRequest > &databaseRequest)
bool | pruneOldRequestsAndCheckIfEmpty ()
| prune all the old requests and then return true if requestList left empty
virtual void | updateBlock ()
void | invalidate (DatabaseRequest *dr)
bool | empty ()
unsigned int | size ()
void | clear ()
void | swap (RequestList &requestList)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

DatabasePager * | _pager
RequestList | _requestList
OpenThreads::Mutex | _requestMutex
unsigned int | _frameNumberLastPruned

## Protected Member Functions

virtual | ~RequestQueue ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## RequestList

typedef std::list< osg::ref_ptr<DatabaseRequest> > osgDB::DatabasePager::RequestQueue::RequestList

## Constructor & Destructor Documentation

## RequestQueue()

osgDB::DatabasePager::RequestQueue::RequestQueue | ( | DatabasePager * | pager | ) |

References osgDB::DatabasePager::DatabasePager().

## ~RequestQueue()

virtual osgDB::DatabasePager::RequestQueue::~RequestQueue | ( |  | ) |

protected virtual

## Member Function Documentation

## add()

void osgDB::DatabasePager::RequestQueue::add | ( | DatabaseRequest * | databaseRequest | ) |

## addNoLock()

void osgDB::DatabasePager::RequestQueue::addNoLock | ( | DatabaseRequest * | databaseRequest | ) |

## clear()

void osgDB::DatabasePager::RequestQueue::clear | ( |  | ) |

## empty()

bool osgDB::DatabasePager::RequestQueue::empty | ( |  | ) |

## invalidate()

void osgDB::DatabasePager::RequestQueue::invalidate | ( | DatabaseRequest * | dr | ) |

## pruneOldRequestsAndCheckIfEmpty()

bool osgDB::DatabasePager::RequestQueue::pruneOldRequestsAndCheckIfEmpty | ( |  | ) |

prune all the old requests and then return true if requestList left empty

## remove()

void osgDB::DatabasePager::RequestQueue::remove | ( | DatabaseRequest * | databaseRequest | ) |

## size()

unsigned int osgDB::DatabasePager::RequestQueue::size | ( |  | ) |

## swap()

void osgDB::DatabasePager::RequestQueue::swap | ( | RequestList & | requestList | ) |

## takeFirst()

void osgDB::DatabasePager::RequestQueue::takeFirst | ( | osg::ref_ptr< DatabaseRequest > & | databaseRequest | ) |

## updateBlock()

virtual void osgDB::DatabasePager::RequestQueue::updateBlock | ( |  | ) |

inline virtual

Reimplemented in osgDB::DatabasePager::ReadQueue.

## Member Data Documentation

## _frameNumberLastPruned

unsigned int osgDB::DatabasePager::RequestQueue::_frameNumberLastPruned

## _pager

DatabasePager* osgDB::DatabasePager::RequestQueue::_pager

## _requestList

RequestList osgDB::DatabasePager::RequestQueue::_requestList

## _requestMutex

OpenThreads::Mutex osgDB::DatabasePager::RequestQueue::_requestMutex

The documentation for this struct was generated from the following file:

- DatabasePager